import type { HashAlgorithm } from "@stacksjs/types";
export declare function isEmail(email: string): boolean;
export declare function isStrongPassword(password: string): boolean;
export declare function isAlphanumeric(username: string): boolean;
export declare function validateUsername(username: string): boolean;
export declare function isURL(url: string): boolean;
export declare function isMobilePhone(phoneNumber: string): boolean;
export declare function isAlpha(name: string): boolean;
export declare function isPostalCode(zipCode: string): boolean;
export declare function isNumeric(number: string): boolean;
export declare function isHexColor(color: string): boolean;
export declare function isHexadecimal(hex: string): boolean;
export declare function isBase64(base64: string): boolean;
export declare function isUUID(uuid: string): boolean;
export declare function isJSON(json: string): boolean;
export declare function isCreditCard(creditCard: string): boolean;
export declare function isISBN(isbn: string): boolean;
export declare function isIP(ip: string): boolean;
export declare function isIPRange(ip: string): boolean;
export declare function isMACAddress(macAddress: string): boolean;
export declare function isLatLong(latitude: string): boolean;
export declare function isLatitude(longitude: string): boolean;
export declare function isLongitude(longitude: string): boolean;
export declare function isCurrency(currency: string): boolean;
export declare function isDataURI(dataURI: string): boolean;
export declare function isMimeType(mimeType: string): boolean;
export declare function isJWT(jwt: string): boolean;
export declare function isAscii(ascii: string): boolean;
export declare function isBase32(base32: string): boolean;
export declare function isByteLength(byteLength: string): boolean;
export declare function isFQDN(fqdn: string): boolean;
export declare function isFullWidth(fullWidth: string): boolean;
export declare function isHalfWidth(halfWidth: string): boolean;
export declare function isHash(hash: string, algorithm: HashAlgorithm): boolean;
export declare function isHSL(hsl: string): boolean;
export declare function isIBAN(iban: string): boolean;
export declare function isIdentityCard(identityCard: string): boolean;
export declare function isISIN(isin: string): boolean;
export declare function isISO8601(iso8601: string): boolean;
export declare function isISRC(isrc: string): boolean;
export declare function isISSN(issn: string): boolean;
export declare function isISO31661Alpha2(iso31661Alpha2: string): boolean;
export declare function isISO31661Alpha3(iso31661Alpha3: string): boolean;
