export interface PluralizeOptions {
	count?: number;
	inclusive?: boolean;
}
type StringOrRegExp = string | RegExp;
interface PluralizeFunction {
	(word: string, options?: PluralizeOptions): string;
	plural: (word: string) => string;
	isPlural: (word: string) => boolean;
	singular: (word: string) => string;
	isSingular: (word: string) => boolean;
	addPluralRule: (rule: StringOrRegExp, replacement: string) => void;
	addSingularRule: (rule: StringOrRegExp, replacement: string) => void;
	addUncountableRule: (word: string | RegExp) => void;
	addIrregularRule: (single: string, plural: string) => void;
}
export declare const pluralize: PluralizeFunction;
export declare const singular: PluralizeFunction;
export declare const plural: PluralizeFunction;
export default pluralize;
